## PhoshOfonoDBusManagerSkeleton

PhoshOfonoDBusManagerSkeleton

## Functions

GDBusInterfaceInfo * | phosh_ofono_dbus_sim_manager_interface_info ()
guint | phosh_ofono_dbus_sim_manager_override_properties ()
void | phosh_ofono_dbus_sim_manager_complete_get_properties ()
void | phosh_ofono_dbus_sim_manager_emit_property_changed ()
void | phosh_ofono_dbus_sim_manager_call_get_properties ()
gboolean | phosh_ofono_dbus_sim_manager_call_get_properties_finish ()
gboolean | phosh_ofono_dbus_sim_manager_call_get_properties_sync ()
void | phosh_ofono_dbus_sim_manager_proxy_new ()
PhoshOfonoDBusSimManager * | phosh_ofono_dbus_sim_manager_proxy_new_finish ()
PhoshOfonoDBusSimManager * | phosh_ofono_dbus_sim_manager_proxy_new_sync ()
void | phosh_ofono_dbus_sim_manager_proxy_new_for_bus ()
PhoshOfonoDBusSimManager * | phosh_ofono_dbus_sim_manager_proxy_new_for_bus_finish ()
PhoshOfonoDBusSimManager * | phosh_ofono_dbus_sim_manager_proxy_new_for_bus_sync ()
PhoshOfonoDBusSimManager * | phosh_ofono_dbus_sim_manager_skeleton_new ()
GDBusInterfaceInfo * | phosh_ofono_dbus_network_registration_interface_info ()
guint | phosh_ofono_dbus_network_registration_override_properties ()
void | phosh_ofono_dbus_network_registration_complete_get_properties ()
void | phosh_ofono_dbus_network_registration_emit_property_changed ()
void | phosh_ofono_dbus_network_registration_call_get_properties ()
gboolean | phosh_ofono_dbus_network_registration_call_get_properties_finish ()
gboolean | phosh_ofono_dbus_network_registration_call_get_properties_sync ()
void | phosh_ofono_dbus_network_registration_proxy_new ()
PhoshOfonoDBusNetworkRegistration * | phosh_ofono_dbus_network_registration_proxy_new_finish ()
PhoshOfonoDBusNetworkRegistration * | phosh_ofono_dbus_network_registration_proxy_new_sync ()
void | phosh_ofono_dbus_network_registration_proxy_new_for_bus ()
PhoshOfonoDBusNetworkRegistration * | phosh_ofono_dbus_network_registration_proxy_new_for_bus_finish ()
PhoshOfonoDBusNetworkRegistration * | phosh_ofono_dbus_network_registration_proxy_new_for_bus_sync ()
PhoshOfonoDBusNetworkRegistration * | phosh_ofono_dbus_network_registration_skeleton_new ()
GDBusInterfaceInfo * | phosh_ofono_dbus_manager_interface_info ()
guint | phosh_ofono_dbus_manager_override_properties ()
void | phosh_ofono_dbus_manager_complete_get_modems ()
void | phosh_ofono_dbus_manager_emit_modem_added ()
void | phosh_ofono_dbus_manager_emit_modem_removed ()
void | phosh_ofono_dbus_manager_call_get_modems ()
gboolean | phosh_ofono_dbus_manager_call_get_modems_finish ()
gboolean | phosh_ofono_dbus_manager_call_get_modems_sync ()
void | phosh_ofono_dbus_manager_proxy_new ()
PhoshOfonoDBusManager * | phosh_ofono_dbus_manager_proxy_new_finish ()
PhoshOfonoDBusManager * | phosh_ofono_dbus_manager_proxy_new_sync ()
void | phosh_ofono_dbus_manager_proxy_new_for_bus ()
PhoshOfonoDBusManager * | phosh_ofono_dbus_manager_proxy_new_for_bus_finish ()
PhoshOfonoDBusManager * | phosh_ofono_dbus_manager_proxy_new_for_bus_sync ()
PhoshOfonoDBusManager * | phosh_ofono_dbus_manager_skeleton_new ()

## Signals

gboolean | handle-get-modems | Run Last
void | modem-added | Run Last
void | modem-removed | Run Last
gboolean | handle-get-properties | Run Last
void | property-changed | Run Last
gboolean | handle-get-properties | Run Last
void | property-changed | Run Last

## Types and Values

struct | PhoshOfonoDBusSimManagerIface
struct | PhoshOfonoDBusSimManagerProxy
struct | PhoshOfonoDBusSimManagerProxyClass
struct | PhoshOfonoDBusSimManagerSkeleton
struct | PhoshOfonoDBusSimManagerSkeletonClass
struct | PhoshOfonoDBusNetworkRegistrationIface
struct | PhoshOfonoDBusNetworkRegistrationProxy
struct | PhoshOfonoDBusNetworkRegistrationProxyClass
struct | PhoshOfonoDBusNetworkRegistrationSkeleton
struct | PhoshOfonoDBusNetworkRegistrationSkeletonClass
struct | PhoshOfonoDBusManagerIface
struct | PhoshOfonoDBusManagerProxy
struct | PhoshOfonoDBusManagerProxyClass
struct | PhoshOfonoDBusManagerSkeleton
struct | PhoshOfonoDBusManagerSkeletonClass
| PhoshOfonoDBusManager
| PhoshOfonoDBusManagerProxyPrivate
| PhoshOfonoDBusManagerSkeletonPrivate
| PhoshOfonoDBusNetworkRegistration
| PhoshOfonoDBusNetworkRegistrationProxyPrivate
| PhoshOfonoDBusNetworkRegistrationSkeletonPrivate
| PhoshOfonoDBusSimManager
| PhoshOfonoDBusSimManagerProxyPrivate
| PhoshOfonoDBusSimManagerSkeletonPrivate

## Object Hierarchy

        GInterface
        ├── PhoshOfonoDBusManager
        ├── PhoshOfonoDBusNetworkRegistration
        ╰── PhoshOfonoDBusSimManager
        GObject
        ├── GDBusInterfaceSkeleton
        │   ├── PhoshOfonoDBusManagerSkeleton
        │   ├── PhoshOfonoDBusNetworkRegistrationSkeleton
        │   ╰── PhoshOfonoDBusSimManagerSkeleton
        ╰── GDBusProxy
            ├── PhoshOfonoDBusManagerProxy
            ├── PhoshOfonoDBusNetworkRegistrationProxy
            ╰── PhoshOfonoDBusSimManagerProxy

## Prerequisites

PhoshOfonoDBusManager requires GObject.

PhoshOfonoDBusNetworkRegistration requires GObject.

PhoshOfonoDBusSimManager requires GObject.

## Implemented Interfaces

PhoshOfonoDBusSimManagerProxy implements GDBusInterface, GInitable, GAsyncInitable and PhoshOfonoDBusSimManager.

PhoshOfonoDBusSimManagerSkeleton implements GDBusInterface and PhoshOfonoDBusSimManager.

PhoshOfonoDBusNetworkRegistrationProxy implements GDBusInterface, GInitable, GAsyncInitable and PhoshOfonoDBusNetworkRegistration.

PhoshOfonoDBusNetworkRegistrationSkeleton implements GDBusInterface and PhoshOfonoDBusNetworkRegistration.

PhoshOfonoDBusManagerProxy implements GDBusInterface, GInitable, GAsyncInitable and PhoshOfonoDBusManager.

PhoshOfonoDBusManagerSkeleton implements GDBusInterface and PhoshOfonoDBusManager.

## Known Implementations

PhoshOfonoDBusManager is implemented by PhoshOfonoDBusManagerProxy and PhoshOfonoDBusManagerSkeleton.

PhoshOfonoDBusNetworkRegistration is implemented by PhoshOfonoDBusNetworkRegistrationProxy and PhoshOfonoDBusNetworkRegistrationSkeleton.

PhoshOfonoDBusSimManager is implemented by PhoshOfonoDBusSimManagerProxy and PhoshOfonoDBusSimManagerSkeleton.

## Description

## Functions

### phosh_ofono_dbus_sim_manager_interface_info ()

    GDBusInterfaceInfo *
    phosh_ofono_dbus_sim_manager_interface_info
                                   (void);

Gets a machine-readable description of the org.ofono.SimManager D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

### phosh_ofono_dbus_sim_manager_override_properties ()

    guint
    phosh_ofono_dbus_sim_manager_override_properties
                                   (GObjectClass *klass,
                                    guint property_id_begin);

Overrides all GObject properties in the PhoshOfonoDBusSimManager interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

### phosh_ofono_dbus_sim_manager_complete_get_properties ()

    void
    phosh_ofono_dbus_sim_manager_complete_get_properties
                                   (PhoshOfonoDBusSimManager *object,
                                    GDBusMethodInvocation *invocation,
                                    GVariant *properties);

Helper function used in service implementations to finish handling invocations of the `GetProperties()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A PhoshOfonoDBusSimManager. |
invocation | A GDBusMethodInvocation. | [transfer full]
properties | Parameter to return. |

### phosh_ofono_dbus_sim_manager_emit_property_changed ()

    void
    phosh_ofono_dbus_sim_manager_emit_property_changed
                                   (PhoshOfonoDBusSimManager *object,
                                    const gchar *arg_unnamed_arg0,
                                    GVariant *arg_unnamed_arg1);

Emits the "PropertyChanged" D-Bus signal.

#### Parameters

object | A PhoshOfonoDBusSimManager. |
arg_unnamed_arg0 | Argument to pass with the signal. |
arg_unnamed_arg1 | Argument to pass with the signal. |

### phosh_ofono_dbus_sim_manager_call_get_properties ()

    void
    phosh_ofono_dbus_sim_manager_call_get_properties
                                   (PhoshOfonoDBusSimManager *proxy,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `GetProperties()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_ofono_dbus_sim_manager_call_get_properties_finish()` to get the result of the operation.

See `phosh_ofono_dbus_sim_manager_call_get_properties_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A PhoshOfonoDBusSimManagerProxy. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### phosh_ofono_dbus_sim_manager_call_get_properties_finish ()

    gboolean
    phosh_ofono_dbus_sim_manager_call_get_properties_finish
                                   (PhoshOfonoDBusSimManager *proxy,
                                    GVariant **out_properties,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_ofono_dbus_sim_manager_call_get_properties()`.

#### Parameters

proxy | A PhoshOfonoDBusSimManagerProxy. |
out_properties | Return location for return parameter or `NULL` to ignore. | [out][optional]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_ofono_dbus_sim_manager_call_get_properties()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_ofono_dbus_sim_manager_call_get_properties_sync ()

    gboolean
    phosh_ofono_dbus_sim_manager_call_get_properties_sync
                                   (PhoshOfonoDBusSimManager *proxy,
                                    GVariant **out_properties,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `GetProperties()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `phosh_ofono_dbus_sim_manager_call_get_properties()` for the asynchronous version of this method.

#### Parameters

proxy | A PhoshOfonoDBusSimManagerProxy. |
out_properties | Return location for return parameter or `NULL` to ignore. | [out][optional]
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_ofono_dbus_sim_manager_proxy_new ()

    void
    phosh_ofono_dbus_sim_manager_proxy_new
                                   (GDBusConnection *connection,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.ofono.SimManager. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_ofono_dbus_sim_manager_proxy_new_finish()` to get the result of the operation.

See `phosh_ofono_dbus_sim_manager_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### phosh_ofono_dbus_sim_manager_proxy_new_finish ()

    PhoshOfonoDBusSimManager *
    phosh_ofono_dbus_sim_manager_proxy_new_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_ofono_dbus_sim_manager_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_ofono_dbus_sim_manager_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type PhoshOfonoDBusSimManagerProxy]

### phosh_ofono_dbus_sim_manager_proxy_new_sync ()

    PhoshOfonoDBusSimManager *
    phosh_ofono_dbus_sim_manager_proxy_new_sync
                                   (GDBusConnection *connection,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously creates a proxy for the D-Bus interface org.ofono.SimManager. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `phosh_ofono_dbus_sim_manager_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type PhoshOfonoDBusSimManagerProxy]

### phosh_ofono_dbus_sim_manager_proxy_new_for_bus ()

    void
    phosh_ofono_dbus_sim_manager_proxy_new_for_bus
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Like `phosh_ofono_dbus_sim_manager_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_ofono_dbus_sim_manager_proxy_new_for_bus_finish()` to get the result of the operation.

See `phosh_ofono_dbus_sim_manager_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### phosh_ofono_dbus_sim_manager_proxy_new_for_bus_finish ()

    PhoshOfonoDBusSimManager *
    phosh_ofono_dbus_sim_manager_proxy_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_ofono_dbus_sim_manager_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_ofono_dbus_sim_manager_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type PhoshOfonoDBusSimManagerProxy]

### phosh_ofono_dbus_sim_manager_proxy_new_for_bus_sync ()

    PhoshOfonoDBusSimManager *
    phosh_ofono_dbus_sim_manager_proxy_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `phosh_ofono_dbus_sim_manager_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `phosh_ofono_dbus_sim_manager_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type PhoshOfonoDBusSimManagerProxy]

### phosh_ofono_dbus_sim_manager_skeleton_new ()

    PhoshOfonoDBusSimManager *
    phosh_ofono_dbus_sim_manager_skeleton_new
                                   (void);

Creates a skeleton object for the D-Bus interface org.ofono.SimManager.

#### Returns

The skeleton object.

[transfer full][type PhoshOfonoDBusSimManagerSkeleton]

### phosh_ofono_dbus_network_registration_interface_info ()

    GDBusInterfaceInfo *
    phosh_ofono_dbus_network_registration_interface_info
                                   (void);

Gets a machine-readable description of the org.ofono.NetworkRegistration D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

### phosh_ofono_dbus_network_registration_override_properties ()

    guint
    phosh_ofono_dbus_network_registration_override_properties
                                   (GObjectClass *klass,
                                    guint property_id_begin);

Overrides all GObject properties in the PhoshOfonoDBusNetworkRegistration interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

### phosh_ofono_dbus_network_registration_complete_get_properties ()

    void
    phosh_ofono_dbus_network_registration_complete_get_properties
                                   (PhoshOfonoDBusNetworkRegistration *object,
                                    GDBusMethodInvocation *invocation,
                                    GVariant *properties);

Helper function used in service implementations to finish handling invocations of the `GetProperties()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A PhoshOfonoDBusNetworkRegistration. |
invocation | A GDBusMethodInvocation. | [transfer full]
properties | Parameter to return. |

### phosh_ofono_dbus_network_registration_emit_property_changed ()

    void
    phosh_ofono_dbus_network_registration_emit_property_changed
                                   (PhoshOfonoDBusNetworkRegistration *object,
                                    const gchar *arg_unnamed_arg0,
                                    GVariant *arg_unnamed_arg1);

Emits the "PropertyChanged" D-Bus signal.

#### Parameters

object | A PhoshOfonoDBusNetworkRegistration. |
arg_unnamed_arg0 | Argument to pass with the signal. |
arg_unnamed_arg1 | Argument to pass with the signal. |

### phosh_ofono_dbus_network_registration_call_get_properties ()

    void
    phosh_ofono_dbus_network_registration_call_get_properties
                                   (PhoshOfonoDBusNetworkRegistration *proxy,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `GetProperties()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_ofono_dbus_network_registration_call_get_properties_finish()` to get the result of the operation.

See `phosh_ofono_dbus_network_registration_call_get_properties_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A PhoshOfonoDBusNetworkRegistrationProxy. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### phosh_ofono_dbus_network_registration_call_get_properties_finish ()

    gboolean
    phosh_ofono_dbus_network_registration_call_get_properties_finish
                                   (PhoshOfonoDBusNetworkRegistration *proxy,
                                    GVariant **out_properties,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_ofono_dbus_network_registration_call_get_properties()`.

#### Parameters

proxy | A PhoshOfonoDBusNetworkRegistrationProxy. |
out_properties | Return location for return parameter or `NULL` to ignore. | [out][optional]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_ofono_dbus_network_registration_call_get_properties()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_ofono_dbus_network_registration_call_get_properties_sync ()

    gboolean
    phosh_ofono_dbus_network_registration_call_get_properties_sync
                                   (PhoshOfonoDBusNetworkRegistration *proxy,
                                    GVariant **out_properties,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `GetProperties()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `phosh_ofono_dbus_network_registration_call_get_properties()` for the asynchronous version of this method.

#### Parameters

proxy | A PhoshOfonoDBusNetworkRegistrationProxy. |
out_properties | Return location for return parameter or `NULL` to ignore. | [out][optional]
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_ofono_dbus_network_registration_proxy_new ()

    void
    phosh_ofono_dbus_network_registration_proxy_new
                                   (GDBusConnection *connection,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.ofono.NetworkRegistration. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_ofono_dbus_network_registration_proxy_new_finish()` to get the result of the operation.

See `phosh_ofono_dbus_network_registration_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### phosh_ofono_dbus_network_registration_proxy_new_finish ()

    PhoshOfonoDBusNetworkRegistration *
    phosh_ofono_dbus_network_registration_proxy_new_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_ofono_dbus_network_registration_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_ofono_dbus_network_registration_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type PhoshOfonoDBusNetworkRegistrationProxy]

### phosh_ofono_dbus_network_registration_proxy_new_sync ()

    PhoshOfonoDBusNetworkRegistration *
    phosh_ofono_dbus_network_registration_proxy_new_sync
                                   (GDBusConnection *connection,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously creates a proxy for the D-Bus interface org.ofono.NetworkRegistration. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `phosh_ofono_dbus_network_registration_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type PhoshOfonoDBusNetworkRegistrationProxy]

### phosh_ofono_dbus_network_registration_proxy_new_for_bus ()

    void
    phosh_ofono_dbus_network_registration_proxy_new_for_bus
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Like `phosh_ofono_dbus_network_registration_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_ofono_dbus_network_registration_proxy_new_for_bus_finish()` to get the result of the operation.

See `phosh_ofono_dbus_network_registration_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### phosh_ofono_dbus_network_registration_proxy_new_for_bus_finish ()

    PhoshOfonoDBusNetworkRegistration *
    phosh_ofono_dbus_network_registration_proxy_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_ofono_dbus_network_registration_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_ofono_dbus_network_registration_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type PhoshOfonoDBusNetworkRegistrationProxy]

### phosh_ofono_dbus_network_registration_proxy_new_for_bus_sync ()

    PhoshOfonoDBusNetworkRegistration *
    phosh_ofono_dbus_network_registration_proxy_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `phosh_ofono_dbus_network_registration_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `phosh_ofono_dbus_network_registration_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type PhoshOfonoDBusNetworkRegistrationProxy]

### phosh_ofono_dbus_network_registration_skeleton_new ()

    PhoshOfonoDBusNetworkRegistration *
    phosh_ofono_dbus_network_registration_skeleton_new
                                   (void);

Creates a skeleton object for the D-Bus interface org.ofono.NetworkRegistration.

#### Returns

The skeleton object.

[transfer full][type PhoshOfonoDBusNetworkRegistrationSkeleton]

### phosh_ofono_dbus_manager_interface_info ()

    GDBusInterfaceInfo *
    phosh_ofono_dbus_manager_interface_info
                                   (void);

Gets a machine-readable description of the org.ofono.Manager D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

### phosh_ofono_dbus_manager_override_properties ()

    guint
    phosh_ofono_dbus_manager_override_properties
                                   (GObjectClass *klass,
                                    guint property_id_begin);

Overrides all GObject properties in the PhoshOfonoDBusManager interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

### phosh_ofono_dbus_manager_complete_get_modems ()

    void
    phosh_ofono_dbus_manager_complete_get_modems
                                   (PhoshOfonoDBusManager *object,
                                    GDBusMethodInvocation *invocation,
                                    GVariant *unnamed_arg0);

Helper function used in service implementations to finish handling invocations of the `GetModems()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A PhoshOfonoDBusManager. |
invocation | A GDBusMethodInvocation. | [transfer full]
unnamed_arg0 | Parameter to return. |

### phosh_ofono_dbus_manager_emit_modem_added ()

    void
    phosh_ofono_dbus_manager_emit_modem_added
                                   (PhoshOfonoDBusManager *object,
                                    const gchar *arg_unnamed_arg0,
                                    GVariant *arg_unnamed_arg1);

Emits the "ModemAdded" D-Bus signal.

#### Parameters

object | A PhoshOfonoDBusManager. |
arg_unnamed_arg0 | Argument to pass with the signal. |
arg_unnamed_arg1 | Argument to pass with the signal. |

### phosh_ofono_dbus_manager_emit_modem_removed ()

    void
    phosh_ofono_dbus_manager_emit_modem_removed
                                   (PhoshOfonoDBusManager *object,
                                    const gchar *arg_unnamed_arg0);

Emits the "ModemRemoved" D-Bus signal.

#### Parameters

object | A PhoshOfonoDBusManager. |
arg_unnamed_arg0 | Argument to pass with the signal. |

### phosh_ofono_dbus_manager_call_get_modems ()

    void
    phosh_ofono_dbus_manager_call_get_modems
                                   (PhoshOfonoDBusManager *proxy,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `GetModems()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_ofono_dbus_manager_call_get_modems_finish()` to get the result of the operation.

See `phosh_ofono_dbus_manager_call_get_modems_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A PhoshOfonoDBusManagerProxy. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### phosh_ofono_dbus_manager_call_get_modems_finish ()

    gboolean
    phosh_ofono_dbus_manager_call_get_modems_finish
                                   (PhoshOfonoDBusManager *proxy,
                                    GVariant **out_unnamed_arg0,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_ofono_dbus_manager_call_get_modems()`.

#### Parameters

proxy | A PhoshOfonoDBusManagerProxy. |
out_unnamed_arg0 | Return location for return parameter or `NULL` to ignore. | [out][optional]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_ofono_dbus_manager_call_get_modems()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_ofono_dbus_manager_call_get_modems_sync ()

    gboolean
    phosh_ofono_dbus_manager_call_get_modems_sync
                                   (PhoshOfonoDBusManager *proxy,
                                    GVariant **out_unnamed_arg0,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `GetModems()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `phosh_ofono_dbus_manager_call_get_modems()` for the asynchronous version of this method.

#### Parameters

proxy | A PhoshOfonoDBusManagerProxy. |
out_unnamed_arg0 | Return location for return parameter or `NULL` to ignore. | [out][optional]
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_ofono_dbus_manager_proxy_new ()

    void
    phosh_ofono_dbus_manager_proxy_new (GDBusConnection *connection,
                                        GDBusProxyFlags flags,
                                        const gchar *name,
                                        const gchar *object_path,
                                        GCancellable *cancellable,
                                        GAsyncReadyCallback callback,
                                        gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.ofono.Manager. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_ofono_dbus_manager_proxy_new_finish()` to get the result of the operation.

See `phosh_ofono_dbus_manager_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### phosh_ofono_dbus_manager_proxy_new_finish ()

    PhoshOfonoDBusManager *
    phosh_ofono_dbus_manager_proxy_new_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_ofono_dbus_manager_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_ofono_dbus_manager_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type PhoshOfonoDBusManagerProxy]

### phosh_ofono_dbus_manager_proxy_new_sync ()

    PhoshOfonoDBusManager *
    phosh_ofono_dbus_manager_proxy_new_sync
                                   (GDBusConnection *connection,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously creates a proxy for the D-Bus interface org.ofono.Manager. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `phosh_ofono_dbus_manager_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type PhoshOfonoDBusManagerProxy]

### phosh_ofono_dbus_manager_proxy_new_for_bus ()

    void
    phosh_ofono_dbus_manager_proxy_new_for_bus
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Like `phosh_ofono_dbus_manager_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_ofono_dbus_manager_proxy_new_for_bus_finish()` to get the result of the operation.

See `phosh_ofono_dbus_manager_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### phosh_ofono_dbus_manager_proxy_new_for_bus_finish ()

    PhoshOfonoDBusManager *
    phosh_ofono_dbus_manager_proxy_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_ofono_dbus_manager_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_ofono_dbus_manager_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type PhoshOfonoDBusManagerProxy]

### phosh_ofono_dbus_manager_proxy_new_for_bus_sync ()

    PhoshOfonoDBusManager *
    phosh_ofono_dbus_manager_proxy_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `phosh_ofono_dbus_manager_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `phosh_ofono_dbus_manager_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type PhoshOfonoDBusManagerProxy]

### phosh_ofono_dbus_manager_skeleton_new ()

    PhoshOfonoDBusManager *
    phosh_ofono_dbus_manager_skeleton_new (void);

Creates a skeleton object for the D-Bus interface org.ofono.Manager.

#### Returns

The skeleton object.

[transfer full][type PhoshOfonoDBusManagerSkeleton]

## Types and Values

### struct PhoshOfonoDBusSimManagerIface

    struct PhoshOfonoDBusSimManagerIface {
      GTypeInterface parent_iface;

      gboolean (*handle_get_properties) (
        PhoshOfonoDBusSimManager *object,
        GDBusMethodInvocation *invocation);

      void (*property_changed) (
        PhoshOfonoDBusSimManager *object,
        const gchar *arg_unnamed_arg0,
        GVariant *arg_unnamed_arg1);
    };

Virtual table for the D-Bus interface org.ofono.SimManager.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |
`handle_get_properties` () | Handler for the “handle-get-properties” signal. |
`property_changed` () | Handler for the “property-changed” signal. |

### struct PhoshOfonoDBusSimManagerProxy

    struct PhoshOfonoDBusSimManagerProxy;

The PhoshOfonoDBusSimManagerProxy structure contains only private data and should only be accessed using the provided API.

### struct PhoshOfonoDBusSimManagerProxyClass

    struct PhoshOfonoDBusSimManagerProxyClass {
      GDBusProxyClass parent_class;
    };

Class structure for PhoshOfonoDBusSimManagerProxy.

#### Members

### struct PhoshOfonoDBusSimManagerSkeleton

    struct PhoshOfonoDBusSimManagerSkeleton;

The PhoshOfonoDBusSimManagerSkeleton structure contains only private data and should only be accessed using the provided API.

### struct PhoshOfonoDBusSimManagerSkeletonClass

    struct PhoshOfonoDBusSimManagerSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

Class structure for PhoshOfonoDBusSimManagerSkeleton.

#### Members

### struct PhoshOfonoDBusNetworkRegistrationIface

    struct PhoshOfonoDBusNetworkRegistrationIface {
      GTypeInterface parent_iface;

      gboolean (*handle_get_properties) (
        PhoshOfonoDBusNetworkRegistration *object,
        GDBusMethodInvocation *invocation);

      void (*property_changed) (
        PhoshOfonoDBusNetworkRegistration *object,
        const gchar *arg_unnamed_arg0,
        GVariant *arg_unnamed_arg1);
    };

Virtual table for the D-Bus interface org.ofono.NetworkRegistration.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |
`handle_get_properties` () | Handler for the “handle-get-properties” signal. |
`property_changed` () | Handler for the “property-changed” signal. |

### struct PhoshOfonoDBusNetworkRegistrationProxy

    struct PhoshOfonoDBusNetworkRegistrationProxy;

The PhoshOfonoDBusNetworkRegistrationProxy structure contains only private data and should only be accessed using the provided API.

### struct PhoshOfonoDBusNetworkRegistrationProxyClass

    struct PhoshOfonoDBusNetworkRegistrationProxyClass {
      GDBusProxyClass parent_class;
    };

Class structure for PhoshOfonoDBusNetworkRegistrationProxy.

#### Members

### struct PhoshOfonoDBusNetworkRegistrationSkeleton

    struct PhoshOfonoDBusNetworkRegistrationSkeleton;

The PhoshOfonoDBusNetworkRegistrationSkeleton structure contains only private data and should only be accessed using the provided API.

### struct PhoshOfonoDBusNetworkRegistrationSkeletonClass

    struct PhoshOfonoDBusNetworkRegistrationSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

Class structure for PhoshOfonoDBusNetworkRegistrationSkeleton.

#### Members

### struct PhoshOfonoDBusManagerIface

    struct PhoshOfonoDBusManagerIface {
      GTypeInterface parent_iface;

      gboolean (*handle_get_modems) (
        PhoshOfonoDBusManager *object,
        GDBusMethodInvocation *invocation);

      void (*modem_added) (
        PhoshOfonoDBusManager *object,
        const gchar *arg_unnamed_arg0,
        GVariant *arg_unnamed_arg1);

      void (*modem_removed) (
        PhoshOfonoDBusManager *object,
        const gchar *arg_unnamed_arg0);
    };

Virtual table for the D-Bus interface org.ofono.Manager.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |
`handle_get_modems` () | Handler for the “handle-get-modems” signal. |
`modem_added` () | Handler for the “modem-added” signal. |
`modem_removed` () | Handler for the “modem-removed” signal. |

### struct PhoshOfonoDBusManagerProxy

    struct PhoshOfonoDBusManagerProxy;

The PhoshOfonoDBusManagerProxy structure contains only private data and should only be accessed using the provided API.

### struct PhoshOfonoDBusManagerProxyClass

    struct PhoshOfonoDBusManagerProxyClass {
      GDBusProxyClass parent_class;
    };

Class structure for PhoshOfonoDBusManagerProxy.

#### Members

### struct PhoshOfonoDBusManagerSkeleton

    struct PhoshOfonoDBusManagerSkeleton;

The PhoshOfonoDBusManagerSkeleton structure contains only private data and should only be accessed using the provided API.

### struct PhoshOfonoDBusManagerSkeletonClass

    struct PhoshOfonoDBusManagerSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

Class structure for PhoshOfonoDBusManagerSkeleton.

#### Members

### PhoshOfonoDBusManager

    typedef struct _PhoshOfonoDBusManager PhoshOfonoDBusManager;

Abstract interface type for the D-Bus interface org.ofono.Manager.

### PhoshOfonoDBusManagerProxyPrivate

    typedef struct _PhoshOfonoDBusManagerProxyPrivate PhoshOfonoDBusManagerProxyPrivate;

### PhoshOfonoDBusManagerSkeletonPrivate

    typedef struct _PhoshOfonoDBusManagerSkeletonPrivate PhoshOfonoDBusManagerSkeletonPrivate;

### PhoshOfonoDBusNetworkRegistration

    typedef struct _PhoshOfonoDBusNetworkRegistration PhoshOfonoDBusNetworkRegistration;

Abstract interface type for the D-Bus interface org.ofono.NetworkRegistration.

### PhoshOfonoDBusNetworkRegistrationProxyPrivate

    typedef struct _PhoshOfonoDBusNetworkRegistrationProxyPrivate PhoshOfonoDBusNetworkRegistrationProxyPrivate;

### PhoshOfonoDBusNetworkRegistrationSkeletonPrivate

    typedef struct _PhoshOfonoDBusNetworkRegistrationSkeletonPrivate PhoshOfonoDBusNetworkRegistrationSkeletonPrivate;

### PhoshOfonoDBusSimManager

    typedef struct _PhoshOfonoDBusSimManager PhoshOfonoDBusSimManager;

Abstract interface type for the D-Bus interface org.ofono.SimManager.

### PhoshOfonoDBusSimManagerProxyPrivate

    typedef struct _PhoshOfonoDBusSimManagerProxyPrivate PhoshOfonoDBusSimManagerProxyPrivate;

### PhoshOfonoDBusSimManagerSkeletonPrivate

    typedef struct _PhoshOfonoDBusSimManagerSkeletonPrivate PhoshOfonoDBusSimManagerSkeletonPrivate;

## Signal Details

### The `“handle-get-modems”` signal

    gboolean
    user_function (PhoshOfonoDBusManager *object,
                   GDBusMethodInvocation *invocation,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `GetModems()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `phosh_ofono_dbus_manager_complete_get_modems()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A PhoshOfonoDBusManager. |
invocation | A GDBusMethodInvocation. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“modem-added”` signal

    void
    user_function (PhoshOfonoDBusManager *object,
                   char                  *arg_unnamed_arg0,
                   GVariant              *arg_unnamed_arg1,
                   gpointer               user_data)

On the client-side, this signal is emitted whenever the D-Bus signal "ModemAdded" is received.

On the service-side, this signal can be used with e.g. `g_signal_emit_by_name()` to make the object emit the D-Bus signal.

#### Parameters

object | A PhoshOfonoDBusManager. |
arg_unnamed_arg0 | Argument. |
arg_unnamed_arg1 | Argument. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

### The `“modem-removed”` signal

    void
    user_function (PhoshOfonoDBusManager *object,
                   char                  *arg_unnamed_arg0,
                   gpointer               user_data)

On the client-side, this signal is emitted whenever the D-Bus signal "ModemRemoved" is received.

On the service-side, this signal can be used with e.g. `g_signal_emit_by_name()` to make the object emit the D-Bus signal.

#### Parameters

object | A PhoshOfonoDBusManager. |
arg_unnamed_arg0 | Argument. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

### The `“handle-get-properties”` signal

    gboolean
    user_function (PhoshOfonoDBusNetworkRegistration *object,
                   GDBusMethodInvocation             *invocation,
                   gpointer                           user_data)

Signal emitted when a remote caller is invoking the `GetProperties()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `phosh_ofono_dbus_network_registration_complete_get_properties()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A PhoshOfonoDBusNetworkRegistration. |
invocation | A GDBusMethodInvocation. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“property-changed”` signal

    void
    user_function (PhoshOfonoDBusNetworkRegistration *object,
                   char                              *arg_unnamed_arg0,
                   GVariant                          *arg_unnamed_arg1,
                   gpointer                           user_data)

On the client-side, this signal is emitted whenever the D-Bus signal "PropertyChanged" is received.

On the service-side, this signal can be used with e.g. `g_signal_emit_by_name()` to make the object emit the D-Bus signal.

#### Parameters

object | A PhoshOfonoDBusNetworkRegistration. |
arg_unnamed_arg0 | Argument. |
arg_unnamed_arg1 | Argument. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

### The `“handle-get-properties”` signal

    gboolean
    user_function (PhoshOfonoDBusSimManager *object,
                   GDBusMethodInvocation    *invocation,
                   gpointer                  user_data)

Signal emitted when a remote caller is invoking the `GetProperties()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `phosh_ofono_dbus_sim_manager_complete_get_properties()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A PhoshOfonoDBusSimManager. |
invocation | A GDBusMethodInvocation. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“property-changed”` signal

    void
    user_function (PhoshOfonoDBusSimManager *object,
                   char                     *arg_unnamed_arg0,
                   GVariant                 *arg_unnamed_arg1,
                   gpointer                  user_data)

On the client-side, this signal is emitted whenever the D-Bus signal "PropertyChanged" is received.

On the service-side, this signal can be used with e.g. `g_signal_emit_by_name()` to make the object emit the D-Bus signal.

#### Parameters

object | A PhoshOfonoDBusSimManager. |
arg_unnamed_arg0 | Argument. |
arg_unnamed_arg1 | Argument. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last